Subject: cannot specify coding via dir-locals

From: Glenn Morris <[email-masked]>
Date: Wed, 06 Oct 2010 15:39:29 -0400

Package: emacs

I added:

  (coding . utf-8)

to the change-log-mode section in the Emacs .dir-locals.el file, then did

 ./src/emacs -Q lisp/ChangeLog.1

The file was opened in undecided-unix. I was hoping to be able to
remove the "coding: utf-8" that many of the Emacs ChangeLog files
(but not that particular example) have.

It seems `find-auto-coding' handles the coding: cookie independently
of the local-variables mechanism. It would be nice if it would check
for a directory-local coding if no file-local setting is found.